# RubyPanel Toolbar (C) 2007 jim.foltz@gmail.com
#
# 2011-01-05 <jim.foltz@gmail.com>
#   * Changed Toolbar name from "Ruby COnsole" to "Ruby Toolbar"  (TT)
#     http://forums.sketchucation.com/viewtopic.php?f=323&t=1542&p=298587#p298587
#   * Wrapped in addition module RubyToolbar
#   * Use $suString.GetSting to get proper "Ruby Console" name string.
#   * Better check if TB was previously visible
#   * Use UI.start_timer to restore Toolbar

require 'sketchup'
require 'extensions'
require "langhandler"

module JF
   module RubyToolbar16

      REG             = 'JF\RubyToolbar16'
      # Resource folders: en-US, fr, it, de, es, ja, ko, zh-CN, zh-TW, pt-BR, nl, ru
      T               = LanguageHandler.new("ruby-toolbar.strings")
      dir = File.dirname(__FILE__)
      ext             = SketchupExtension.new("Ruby Toolbar 2016", File.join("jf-rubytoolbar", "main.rb"))
      ext.creator     = "Jim Foltz <jim.foltz@gmail.com>"
      ext.description = "2016+ Ruby Developer's Toolbar."
      ext.version     = '2016r1'

      Sketchup.register_extension(ext, true)

   end
end
